# Spritelib Tankbrigade Sprites
#
# Gino Wuytjens

import pygame, spritesheet

class TankBrigade(spritesheet.Spritesheet):

    def __init__(self):
        super(TankBrigade, self).__init__('tankbrigade.png')
        self.tilesize = 32
        self.load()
    
    def load(self):
        self.defineSprite('grass',(198,132,self.tilesize,self.tilesize))
        self.defineSprite('sand',(165,132,self.tilesize,self.tilesize))
        self.defineSprite('gravel',(132,132,self.tilesize,self.tilesize))
        self.defineSprite('dirt',(33,264,self.tilesize,self.tilesize))
        self.defineSprite('tank green',(528,99,self.tilesize,self.tilesize),-1)
        self.defineSprite('turret green',(528,33,self.tilesize,self.tilesize),-1)
        self.defineSprite('tank blue',(561,99,self.tilesize,self.tilesize),-1)
        self.defineSprite('turret blue',(561,33,self.tilesize,self.tilesize),-1)
        self.defineSprite('tank pink',(495,99,self.tilesize,self.tilesize),-1)
        self.defineSprite('turret pink',(495,33,self.tilesize,self.tilesize),-1)
        self.defineSprite('tank yellow',(528,132,self.tilesize,self.tilesize),-1)
        self.defineSprite('turret yellow',(528,66,self.tilesize,self.tilesize),-1)
        self.defineSprite('tank cyan',(561,132,self.tilesize,self.tilesize),-1)
        self.defineSprite('turret cyan',(561,66,self.tilesize,self.tilesize),-1)
        self.defineSprite('tank red',(495,132,self.tilesize,self.tilesize),-1)
        self.defineSprite('turret red',(495,66,self.tilesize,self.tilesize),-1)
        self.defineSprite('bullet', (198, 33, self.tilesize, self.tilesize),-1)
        self.defineSprite('explosion small', (33, 33, self.tilesize, self.tilesize),-1)
        self.defineSprite('explosion medium', (66, 33, self.tilesize, self.tilesize),-1)
        self.defineSprite('explosion large', (99, 33, self.tilesize, self.tilesize),-1)
        self.defineSprite('flag white', (66, 99, self.tilesize, self.tilesize),-1)